org.bouncycastle.crypto.generators

## Class ElGamalParametersGenerator

- java.lang.Object
- - org.bouncycastle.crypto.generators.ElGamalParametersGenerator

    public class ElGamalParametersGenerator
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ElGamalParametersGenerator()`

### Method Summary

Methods
`ElGamalParameters` `generateParameters()` which generates the p and g values from the given parameters, returning the ElGamalParameters object.
`void` `init(int size, int certainty, java.security.SecureRandom random)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElGamalParametersGenerator

    public ElGamalParametersGenerator()

### Method Detail

#### init

    public void init(int size,
            int certainty,
            java.security.SecureRandom random)

#### generateParameters

    public ElGamalParameters generateParameters()

which generates the p and g values from the given parameters, returning the ElGamalParameters object.

Note: can take a while...